## Function(treeId, treeNode)setting.callback.beforeEditName

### Overview[ depends on jquery.ztree.exedit js ]

Specify callback function to be called before click edit button, The return value controls the editing of the name.

This callback is fired when the edit button is clicked, to control the custom editing operation.

Default: null

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node to be edited.

#### Return Boolean

return true or false

If return false, allow editing of the name.

### Examples of setting & function

#### 1. disable editing of any parent node's name

    function myBeforeEditName(treeId, treeNode) {
    	return !treeNode.isParent;
    }
    var setting = {
    	edit: {
    		enable: true
    	},
    	callback: {
    		beforeEditName: myBeforeEditName
    	}
    };
    ......